#include "partition.h"
#include<bits/stdc++.h>
using namespace std;

std::vector<int> solve(std::vector<int> a){
    int n = a.size();
    vector<int> ans;
    for(int i = 0;i<n/2-1;i++){
        ans.push_back(i);
    }
    ans.push_back(n-1);
    for(int i = n/2-1;i<n-1;i++){
        ans.push_back(i);
    }
    return ans;
}

